package model;

import java.time.LocalDateTime;

public class InventoryManager {
    private String id;
    private String goodsId;
    private int quantity;
    private String supplier;
    private LocalDateTime inboundTime;
    private LocalDateTime outboundTime;
    private String operator;
    private String remark;
    private String customer;

    public InventoryManager(String id, String goodsId, int quantity, String supplier, LocalDateTime inboundTime, LocalDateTime outboundTime, String operator, String remark, String customer) {
        this.id = id;
        this.goodsId = goodsId;
        this.quantity = quantity;
        this.supplier = supplier;
        this.inboundTime = inboundTime;
        this.operator = operator;
        this.remark = remark;
        this.customer = customer;
    }

    public String getId() {
        return id;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public int getQuantity() {
        return quantity;
    }

    public String getSupplier() {
        return supplier;
    }

    public LocalDateTime getInboundTime() {
        return inboundTime;
    }

    public LocalDateTime getOutboundTime() {
        return outboundTime;
    }

    public String getOperator() {
        return operator;
    }

    public String getRemark() {
        return remark;
    }

    public String getCustomer() {
        return customer;
    }
}
